Bug 44569 - ghostscript: Multiple issues (4.2)
ghostscript: Multiple issues (4.2)
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: Security updates
UCS 4.2
Other Linux
: P5 normal (vote)
: UCS 4.2-1-errata
Assigned To: Philipp Hahn
Arvid Requate
:
Depends on:
Blocks: 39423
  Show dependency treegraph
 
Reported: 2017-05-10 13:09 CEST by Arvid Requate
Modified: 2017-06-28 15:33 CEST (History)
1 user (show)

See Also:
What kind of report is it?: Security Issue
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Ticket number:
Bug group (optional): Security
Max CVSS v3 score: 7.8 (CVSS:3.0/AV:L/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H)
requate: Patch_Available+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Arvid Requate univentionstaff 2017-05-10 13:09:21 CEST
Upstream Debian package version 9.06~dfsg-2+deb8u5 fixes these issues:

* Application crash with division by 0 in scan conversion code triggered through crafted content (CVE-2016-10219)

* Application crash with a segfault in gx_device_finalize() triggered through crafted content (CVE-2016-10220)

* Application crash with a segfault in ref_stack_index() triggered through crafted content (CVE-2017-5951)

* Remote denial of service (NULL pointer dereference) via a crafted PostScript document (CVE-2017-7207)

* Possible execution of arbitrary code or denial of service if a specially crafted Postscript file is processed (CVE-2017-8291)
Comment 1 Philipp Hahn univentionstaff 2017-06-15 10:15:00 CEST
QA: piuparts -D debian --keep-sources-list -b /var/univention/buildsystem2/pbuilder/ucs_4.2-0-errata4.2-0_amd64.tgz -d  --bindmount=/var/univention/buildsystem2/apt/ucs_4.2-0-errata4.2-0 /var/univention/buildsystem2/apt/ucs_4.2-0-errata4.2-0/amd64/ghostscript_9.06~dfsg-2+deb8u5_amd64.deb
Comment 2 Arvid Requate univentionstaff 2017-06-22 20:10:45 CEST
* Package imported and built in errata4.2-0
* I've moved and updated the advisory to errata4.2-1
* Advisory content ok
* Package update ok
Comment 3 Janek Walkenhorst univentionstaff 2017-06-28 15:33:34 CEST
<http://errata.software-univention.de/ucs/4.2/53.html>